com.tibbo.aggregate.common.util

## Class Element

- java.lang.Object
- - com.tibbo.aggregate.common.util.Element

- All Implemented Interfaces:
    StringEncodable

      public class Element
      extends java.lang.Object
      implements StringEncodable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Element(java.lang.String name, FieldFormat ff, java.lang.Object fieldValue)`
    `Element(java.lang.String name, java.lang.String value)`
    `Element(java.lang.String name, StringEncodable encodable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `encode(ClassicEncodingSettings settings)`
    `java.lang.StringBuilder` | `encode(java.lang.StringBuilder sb, ClassicEncodingSettings settings)`
    `java.lang.StringBuilder` | `encode(java.lang.StringBuilder sb, ClassicEncodingSettings settings, java.lang.Boolean isTransferEncode, java.lang.Integer encodeLevel)`
    `java.lang.StringBuilder` | `encode(java.lang.StringBuilder sb, ClassicEncodingSettings settings, java.lang.Integer encodeLevel)`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Element

          public Element(java.lang.String name,
                         java.lang.String value)

    - #### Element

          public Element(java.lang.String name,
                         StringEncodable encodable)

    - #### Element

          public Element(java.lang.String name,
                         FieldFormat ff,
                         java.lang.Object fieldValue)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getValue

          public java.lang.String getValue()

    - #### encode

          public java.lang.String encode(ClassicEncodingSettings settings)

    - #### encode

          public java.lang.StringBuilder encode(java.lang.StringBuilder sb,
                                                ClassicEncodingSettings settings)

    - #### encode

          public java.lang.StringBuilder encode(java.lang.StringBuilder sb,
                                                ClassicEncodingSettings settings,
                                                java.lang.Integer encodeLevel)

    - #### encode

          public java.lang.StringBuilder encode(java.lang.StringBuilder sb,
                                                ClassicEncodingSettings settings,
                                                java.lang.Boolean isTransferEncode,
                                                java.lang.Integer encodeLevel)

      Specified by:
        `encode` in interface `StringEncodable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`